Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.web.taglibs.cache
Class CacheEntry

    java.lang.Object
      com.sun.appserv.web.taglibs.cache.CacheEntry

public class CacheEntry
extends java.lang.Object

CacheEntry holds cached JSP fragments a) response content b) expiryTime XXX: should implement methods to enable serialization of cached response?

Field Summary
`static int` | `NO_TIMEOUT`

Constructor Summary
`CacheEntry(java.lang.String response, int timeout)` Constructs a CacheEntry using the response string to be cached and the timeout after which the entry will expire

Method Summary
`void` | `clear()` clear the contents
`void` | `computeExpireTime(int timeout)` compute when this entry to be expired based on timeout relative to current time.
`java.lang.String` | `getContent()` set the content stored in the entry
`boolean` | `isValid()` is this response still valid?
`void` | `setExpireTime(long expireTime)` set the real expire time

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_TIMEOUT

    public static final int NO_TIMEOUT

See Also:
  Constant Field Values

Constructor Detail

### CacheEntry

    public CacheEntry(java.lang.String response,
                      int timeout)

  Constructs a CacheEntry using the response string to be cached and the timeout after which the entry will expire

Method Detail

### setExpireTime

    public void setExpireTime(long expireTime)

  set the real expire time

  Parameters:
    `expireTime` - in milli seconds

### getContent

    public java.lang.String getContent()

  set the content stored in the entry

### computeExpireTime

    public void computeExpireTime(int timeout)

  compute when this entry to be expired based on timeout relative to current time.

  Parameters:
    `timeout` - in seconds

### isValid

    public boolean isValid()

  is this response still valid?

### clear

    public void clear()

  clear the contents

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.